import math

def check_circles(r_bigger, r_smaller, c_x, c_y, c_r):
	distance_from_center=math.sqrt((c_x**2)+(c_y**2))

	if r_bigger>=distance_from_center+c_r and distance_from_center-c_r>=r_smaller:
		return "OK"

	return "NOK"


with open("input3.txt", "r") as f:
	inputs=f.read().splitlines()

	output=[]
	for numbers in inputs:
		numbers_lst=list(map(int, numbers.split(",")))
		value=check_circles(*numbers_lst)
		output.append(str(value))

	output="\n".join(output)


with open("output.txt", "w") as f:
	f.write(output)